Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 187113 - tracker bug to ensure that util-linux pacakge gets updated in U8
Summary: tracker bug to ensure that util-linux pacakge gets updated in U8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: util-linux
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2006-03-28 16:09 UTC by Neil Horman
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHBA-2006-0456
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 14:47:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0456 normal SHIPPED_LIVE util-linux and mount bug fix update 2006-07-19 18:48:00 UTC

Description Neil Horman 2006-03-28 16:09:01 UTC
Description of problem:
bz 170714 introduced a fix to allow more nfs mounts to be established.  This
solution however, assumed the availability of util-linux-2.11y-31.14, which
contains a fix to allow mount to always use UDP first when contact the mountd
rpc program daemon.  Without this fix in place, the fix in bz 170714 actually
causes a regression in the number of supported mounts over nfs.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.attempt to mount 1024 nfs mounts under RHEL3 U4 and RHEL3 U7
2.
3.
  
Actual results:
RHEL3 U4 mounts >= 800 nfs mount
RHEL3 U7 mounts == ~512 nfs mounts
Expected results:


Additional info:

Comment 1 John Poelstra 2006-03-28 19:15:41 UTC
Removing CANFIX blocker... this has not gone through ACK process.

Comment 6 Karel Zak 2006-04-28 18:09:18 UTC
Hmm.. there is some unreleased patch:

* Wed Oct 19 2005 Steve Dickson <steved@redhat.com> 2.11y-31.13
- fix #170714 Changed nfsmount to first try the UDP transport when
              querying the remote rpc.mountd, then tcp iff tcp is
              specified. This tremendously increases the total number
              of tcp mounts that can occur.

I think (hope) this patch resolve the problem. It means we needn't rebase anything.

Comment 10 Red Hat Bugzilla 2006-07-20 14:47:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0456.html



Note You need to log in before you can comment on or make changes to this bug.